<?php
function generateUUID()
{
    // Generar UUID versión 4
    $data = random_bytes(16);
    $data[6] = chr(ord($data[6]) & 0x0f | 0x40); // Establece la versión 4
    $data[8] = chr(ord($data[8]) & 0x3f | 0x80); // Establece el bit más significativo a 10
    return vsprintf('%s%s-%s-%s-%s-%s%s%s', str_split(bin2hex($data), 4));
}
